Subject: Dynamic Link Stations and Limited Resource

From: "jim (j.) cobban" <[email-masked]>
Date: Mon, 7 Mar 1994 12:27:00 +0000

I am a little confused by some of the description of dynamic link stations
and limited resources.

If a link station on an SATF is not explicitly defined with its link address
then it it a dynamic link station and consequently a limited resource.  This
seems to rule out some degree of dynamism in the configuration of an APPN
network, and therefore creates disadvantages for APPN by comparison with
other network architectures.  This design insists that a connection between
two APPN nodes on a SATF must be defined explicitly at BOTH ends.  It would
seem much more practical to require a definition at only ONE end.  For
example imagine a large network of workstations which share a central server.
If definitions are required at only one end, and if the definition is only of
the address of the central server, then adding a new workstation is simply a
matter of copying files from an existing workstation.  But the architecture
says NO.  You must define the new workstation at the central server or the
central server will declare it to be a limited resource and refuse to
establish a CP-CP session to it.

Repeatedly the discussion of Connection Networks declares that the members of
a connection network are dynamic link stations and therefore limited
resources.  But if they are limited resources then they will never establish
CP-CP sessions, so how are you ever going to get any sessions up?  Now each
end station has defined its connection to the VRN and so is clearly prepared
to establish a CP-CP session in that direction, but I cannot find any
statement in the discussion of connection networks that indicates that such
is the case, only the tirelessly repeated "Link stations that can be
activated through a connection network are always dynamic link stations".  I
am clearly missing something.  But if the document can afford to repeat so
many times the caveat about connection networks and dynamic link stations,
could it not also say something about getting CP-CP sessions up?